Subject: bug#61413: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Stefan Kangas <[email-masked]>
Date: Wed, 19 Feb 2025 02:01:20 +0000

Rudolf Adamkovič <[email-masked]> writes:

> Kévin Le Gouguec <[email-masked]> writes:
>
>> Thought it bore mention since the present report is about bikeshedding
>> the graphical representation of the warnings-suppress icon, whereas
>> Rudolf's reply suggests - to me - a wider wish to be able to opt out of
>> these representations: this is already solved.
>
> I apologize for not communicating more clearly.  What I meant is the
> following.  While, I can opt out of the "emoji representation", I think
> Emacs should always default to standard, discoverable, and accessible
> controls.
>
> Say we sampled a group of 10 users, how many of them would know, without
> further UI exploration, that the emoji is a button and what it does?  If
> fewer than 10, then we should ask, "why are we doing this" and stop.
>
> As for me, I think these emoji buttons are a bad idea to start with, let
> alone to continue with, let alone work around the newly discovered
> problems with them.

Maybe we should make them look like the buttons in customize instead?